Package org.gradle.api.file

# Interface BuildLayout

@Incubating @ServiceScope(org.gradle.internal.service.scopes.Scope.Settings.class) public interface BuildLayout
Provides access to important locations for a Gradle build.

An instance of this type can be injected into a settings plugin by annotating a public constructor or method with `javax.inject.Inject`. It is also available via `Settings.getLayout()`.

Note: This interface is not intended for implementation by build script or plugin authors.

Since:
  8.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Directory`
  `getRootDirectory()`
  Returns the root directory of the build.
  `Directory`
  `getSettingsDirectory()`
  Returns the settings directory.

- ## Method Details

  - ### getSettingsDirectory

    Directory getSettingsDirectory()
    Returns the settings directory.

    The settings directory is the directory containing the settings file.

    See Also:
      - `Settings.getSettingsDir()`

  - ### getRootDirectory

    Directory getRootDirectory()
    Returns the root directory of the build.

    The root directory is the project directory of the root project.

    See Also:
      - `Settings.getRootDir()`